aboutsummaryrefslogtreecommitdiffstats
path: root/tests/auth-sasl-plain
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:24:07 +0100
committerGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:24:07 +0100
commitc6bbdd8aa697b2d42be1ac0839189da32d437a8f (patch)
treecd1b8d19d99557fbebe33344d0d23f6ac826da57 /tests/auth-sasl-plain
parent87d947df1b837514a0f1efa3bc36b58088bd2564 (diff)
parentdac4ab1c9306bf2035bc1547d2ed27ab09850120 (diff)
Merge branch 'master' into debian
Diffstat (limited to 'tests/auth-sasl-plain')
-rw-r--r--tests/auth-sasl-plain/interimap.remote4
-rw-r--r--tests/auth-sasl-plain/remote.conf1
-rw-r--r--tests/auth-sasl-plain/t12
3 files changed, 17 insertions, 0 deletions
diff --git a/tests/auth-sasl-plain/interimap.remote b/tests/auth-sasl-plain/interimap.remote
new file mode 100644
index 0000000..9c0a623
--- /dev/null
+++ b/tests/auth-sasl-plain/interimap.remote
@@ -0,0 +1,4 @@
+type = imap
+host = localhost
+port = 10143
+STARTTLS = NO
diff --git a/tests/auth-sasl-plain/remote.conf b/tests/auth-sasl-plain/remote.conf
new file mode 100644
index 0000000..3ccbd42
--- /dev/null
+++ b/tests/auth-sasl-plain/remote.conf
@@ -0,0 +1 @@
+!include conf.d/imapd.conf
diff --git a/tests/auth-sasl-plain/t b/tests/auth-sasl-plain/t
new file mode 100644
index 0000000..68f71a9
--- /dev/null
+++ b/tests/auth-sasl-plain/t
@@ -0,0 +1,12 @@
+for ((i = 0; i < 32; i++)); do
+ u="$(shuf -n1 -e "local" "remote")"
+ sample_message | deliver -u "$u"
+done
+
+# check that credentials aren't leaked to the debug output
+interimap --debug || error
+grep -Fx "remote: C: xxx AUTHENTICATE PLAIN [REDACTED]" <"$STDERR" || error
+
+check_mailbox_status "INBOX"
+
+# vim: set filetype=sh :